## glew 1.10.0

=== Makefile ===
#!gmake
## The OpenGL Extension Wrangler Library
## Copyright (C) 2002-2008, Milan Ikits <milan ikits[]ieee org>
## Copyright (C) 2002-2008, Marcelo E. Magallon <mmagallo[]debian org>
## Copyright (C) 2002, Lev Povalahev
## All rights reserved.
## 
## Redistribution and use in source and binary forms, with or without 
## modification, are permitted provided that the following conditions are met:
## 
## * Redistributions of source code must retain the above copyright notice, 
##   this list of conditions and the following disclaimer.
## * Redistributions in binary form must reproduce the above copyright notice, 
##   this list of conditions and the following disclaimer in the documentation 
##   and/or other materials provided with the distribution.
## * The name of the author may be used to endorse or promote products 
##   derived from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
## AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
## ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
## LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
## CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
## SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
## INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
## CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
## ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
## THE POSSIBILITY OF SUCH DAMAGE.

include config/version

SHELL = /bin/sh
SYSTEM ?= $(shell config/config.guess | cut -d - -f 3 | sed -e 's/[0-9\.]//g;')
SYSTEM.SUPPORTED = $(shell test -f config/Makefile.$(SYSTEM) && echo 1)

ifeq ($(SYSTEM.SUPPORTED), 1)
include config/Makefile.$(SYSTEM)
else
$(error "Platform '$(SYSTEM)' not supported")
endif

GLEW_DEST ?= /usr
BINDIR    ?= $(GLEW_DEST)/bin
LIBDIR    ?= $(GLEW_DEST)/lib
INCDIR    ?= $(GLEW_DEST)/include/GL

DIST_NAME     ?= glew-$(GLEW_VERSION)
DIST_SRC_ZIP ?= $(shell pwd)/$(DIST_NAME).zip
DIST_SRC_TGZ ?= $(shell pwd)/$(DIST_NAME).tgz
DIST_WIN32   ?= $(shell pwd)/$(DIST_NAME)-win32.zip

DIST_DIR := $(shell mktemp -d /tmp/glew.XXXXXX)/$(DIST_NAME)

# To disable stripping of binaries either:
#   - use STRIP= on gmake command-line
#   - edit this makefile to set STRIP to the empty string
#
# To disable symlinks:
#   - use LN= on gmake command-line

AR      ?= ar
INSTALL ?= install
STRIP   ?= strip
RM      ?= rm -f
LN      ?= ln -sf

ifeq ($(MAKECMDGOALS), debug)
OPT = -g
else
OPT = $(POPT)
endif
INCLUDE = -Iinclude
CFLAGS = $(OPT) $(WARN) $(INCLUDE) $(CFLAGS.EXTRA)

all debug: glew.lib glew.lib.mx glew.bin

# GLEW shared and static libraries

LIB.LDFLAGS        := $(LDFLAGS.EXTRA) $(LDFLAGS.GL)
LIB.LIBS           := $(GL_LDFLAGS)

LIB.SRCS           := src/glew.c
LIB.SRCS.NAMES     := $(notdir $(LIB.SRCS))

LIB.OBJS           := $(addprefix tmp/$(SYSTEM)/default/static/,$(LIB.SRCS.NAMES))
LIB.OBJS           := $(LIB.OBJS:.c=.o)
LIB.SOBJS          := $(addprefix tmp/$(SYSTEM)/default/shared/,$(LIB.SRCS.NAMES))
LIB.SOBJS          := $(LIB.SOBJS:.c=.o)

LIB.OBJS.MX        := $(addprefix tmp/$(SYSTEM)/mx/static/,$(LIB.SRCS.NAMES))
LIB.OBJS.MX        := $(LIB.OBJS.MX:.c=.o)
LIB.SOBJS.MX       := $(addprefix tmp/$(SYSTEM)/mx/shared/,$(LIB.SRCS.NAMES))
LIB.SOBJS.MX       := $(LIB.SOBJS.MX:.c=.o)

glew.lib: lib lib/$(LIB.SHARED) lib/$(LIB.STATIC) glew.pc

lib:
	mkdir lib

lib/$(LIB.STATIC): $(LIB.OBJS)
	$(AR) cr $@ $^
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

lib/$(LIB.SHARED): $(LIB.SOBJS)
	$(LD) $(LDFLAGS.SO) -o $@ $^ $(LIB.LDFLAGS) $(LIB.LIBS)
ifneq ($(LN),)
	$(LN) $(LIB.SHARED) lib/$(LIB.SONAME)
	$(LN) $(LIB.SHARED) lib/$(LIB.DEVLNK)
endif
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

tmp/$(SYSTEM)/default/static/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU -DGLEW_STATIC $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

tmp/$(SYSTEM)/default/shared/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

# Force re-write of glew.pc, GLEW_DEST can vary

.PHONY: glew.pc

glew.pc: glew.pc.in
	sed \
		-e "s|@prefix@|$(GLEW_DEST)|g" \
		-e "s|@libdir@|$(LIBDIR)|g" \
		-e "s|@exec_prefix@|$(BINDIR)|g" \
		-e "s|@includedir@|$(INCDIR)|g" \
		-e "s|@version@|$(GLEW_VERSION)|g" \
		-e "s|@cflags@||g" \
		-e "s|@libname@|GLEW|g" \
		< $< > $@

# GLEW MX static and shared libraries

glew.lib.mx:  lib lib/$(LIB.SHARED.MX) lib/$(LIB.STATIC.MX) glewmx.pc

lib/$(LIB.STATIC.MX): $(LIB.OBJS.MX)
	$(AR) cr $@ $^

lib/$(LIB.SHARED.MX): $(LIB.SOBJS.MX)
	$(LD) $(LDFLAGS.SO.MX) -o $@ $^ $(LIB.LDFLAGS) $(LIB.LIBS)
ifneq ($(LN),)
	$(LN) $(LIB.SHARED.MX) lib/$(LIB.SONAME.MX)
	$(LN) $(LIB.SHARED.MX) lib/$(LIB.DEVLNK.MX)
endif
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

tmp/$(SYSTEM)/mx/static/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU -DGLEW_MX -DGLEW_STATIC $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

tmp/$(SYSTEM)/mx/shared/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU -DGLEW_MX $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

# Force re-write of glewmx.pc, GLEW_DEST can vary

.PHONY: glewmx.pc

glewmx.pc: glew.pc.in
	sed \
		-e "s|@prefix@|$(GLEW_DEST)|g" \
		-e "s|@libdir@|$(LIBDIR)|g" \
		-e "s|@exec_prefix@|$(BINDIR)|g" \
		-e "s|@includedir@|$(INCDIR)|g" \
		-e "s|@version@|$(GLEW_VERSION)|g" \
		-e "s|@cflags@|-DGLEW_MX|g" \
		-e "s|@libname@|GLEWmx|g" \
		< $< > $@

# GLEW utility programs

BIN.LIBS = -Llib $(LDFLAGS.DYNAMIC) -l$(NAME) $(LDFLAGS.EXTRA) $(LDFLAGS.GL)

GLEWINFO.BIN       := glewinfo$(BIN.SUFFIX)
GLEWINFO.BIN.SRC   := src/glewinfo.c
GLEWINFO.BIN.OBJ   := $(addprefix tmp/$(SYSTEM)/default/shared/,$(notdir $(GLEWINFO.BIN.SRC)))
GLEWINFO.BIN.OBJ   := $(GLEWINFO.BIN.OBJ:.c=.o)

VISUALINFO.BIN     := visualinfo$(BIN.SUFFIX)
VISUALINFO.BIN.SRC := src/visualinfo.c
VISUALINFO.BIN.OBJ := $(addprefix tmp/$(SYSTEM)/default/shared/,$(notdir $(VISUALINFO.BIN.SRC)))
VISUALINFO.BIN.OBJ := $(VISUALINFO.BIN.OBJ:.c=.o)

# Don't build glewinfo or visualinfo for NaCL, yet.

ifneq ($(filter nacl%,$(SYSTEM)),)
glew.bin: glew.lib bin
else
glew.bin: glew.lib bin bin/$(GLEWINFO.BIN) bin/$(VISUALINFO.BIN) 
endif

bin:
	mkdir bin

bin/$(GLEWINFO.BIN): $(GLEWINFO.BIN.OBJ) lib/$(LIB.SHARED)
	$(CC) $(CFLAGS) -o $@ $(GLEWINFO.BIN.OBJ) $(BIN.LIBS)
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

bin/$(VISUALINFO.BIN): $(VISUALINFO.BIN.OBJ) lib/$(LIB.SHARED)
	$(CC) $(CFLAGS) -o $@ $(VISUALINFO.BIN.OBJ) $(BIN.LIBS)
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

$(GLEWINFO.BIN.OBJ): $(GLEWINFO.BIN.SRC) include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

$(VISUALINFO.BIN.OBJ): $(VISUALINFO.BIN.SRC) include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

# Install targets

install.all: install install.mx install.bin

install:     install.include install.lib install.pkgconfig

install.mx:  install.include install.lib.mx install.pkgconfig.mx

install.lib: glew.lib
	$(INSTALL) -d -m 0755 $(LIBDIR)
# runtime
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -d -m 0755 $(BINDIR)
	$(INSTALL) -m 0755 lib/$(LIB.SHARED) $(BINDIR)/
else
	$(INSTALL) -m 0644 lib/$(LIB.SHARED) $(LIBDIR)/
endif
ifneq ($(LN),)
	$(LN) $(LIB.SHARED) $(LIBDIR)/$(LIB.SONAME)
endif

# development files
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -m 0644 lib/$(LIB.DEVLNK) $(LIBDIR)/
endif
ifneq ($(LN),)
	$(LN) $(LIB.SHARED) $(LIBDIR)/$(LIB.DEVLNK)
endif
	$(INSTALL) -m 0644 lib/$(LIB.STATIC) $(LIBDIR)/

install.lib.mx: glew.lib.mx
	$(INSTALL) -d -m 0755 $(LIBDIR)
# runtime
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -d -m 0755 $(BINDIR)
	$(INSTALL) -m 0755 lib/$(LIB.SHARED.MX) $(BINDIR)/
else
	$(INSTALL) -m 0644 lib/$(LIB.SHARED.MX) $(LIBDIR)/
endif
ifneq ($(LN),)
	$(LN) $(LIB.SHARED.MX) $(LIBDIR)/$(LIB.SONAME.MX)
endif
# development files
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -m 0644 lib/$(LIB.DEVLNK.MX) $(LIBDIR)/
endif
ifneq ($(LN),)
	$(LN) $(LIB.SHARED.MX) $(LIBDIR)/$(LIB.DEVLNK.MX)
endif
	$(INSTALL) -m 0644 lib/$(LIB.STATIC.MX) $(LIBDIR)/

install.bin: glew.bin
	$(INSTALL) -d -m 0755 $(BINDIR)
	$(INSTALL) -s -m 0755 bin/$(GLEWINFO.BIN) bin/$(VISUALINFO.BIN) $(BINDIR)/

install.include:
	$(INSTALL) -d -m 0755 $(INCDIR)
	$(INSTALL) -m 0644 include/GL/wglew.h $(INCDIR)/
	$(INSTALL) -m 0644 include/GL/glew.h $(INCDIR)/
	$(INSTALL) -m 0644 include/GL/glxew.h $(INCDIR)/

install.pkgconfig: glew.pc
	$(INSTALL) -d -m 0755 $(LIBDIR)
	$(INSTALL) -d -m 0755 $(LIBDIR)/pkgconfig
	$(INSTALL) -m 0644 glew.pc $(LIBDIR)/pkgconfig/

install.pkgconfig.mx: glewmx.pc
	$(INSTALL) -d -m 0755 $(LIBDIR)
	$(INSTALL) -d -m 0755 $(LIBDIR)/pkgconfig
	$(INSTALL) -m 0644 glewmx.pc $(LIBDIR)/pkgconfig/

uninstall:
	$(RM) $(INCDIR)/wglew.h
	$(RM) $(INCDIR)/glew.h
	$(RM) $(INCDIR)/glxew.h
	$(RM) $(LIBDIR)/$(LIB.DEVLNK) $(LIBDIR)/$(LIB.DEVLNK.MX)
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(RM) $(BINDIR)/$(LIB.SHARED) $(BINDIR)/$(LIB.SHARED.MX)
else
	$(RM) $(LIBDIR)/$(LIB.SONAME) $(LIBDIR)/$(LIB.SONAME.MX)
	$(RM) $(LIBDIR)/$(LIB.SHARED) $(LIBDIR)/$(LIB.SHARED.MX)
endif
	$(RM) $(LIBDIR)/$(LIB.STATIC) $(LIBDIR)/$(LIB.STATIC.MX)
	$(RM) $(BINDIR)/$(GLEWINFO.BIN) $(BINDIR)/$(VISUALINFO.BIN)

clean:
	$(RM) -r tmp/
	$(RM) -r lib/
	$(RM) -r bin/
	$(RM) glew.pc glewmx.pc

distclean: clean
	find . -name \*~ | xargs $(RM)
	find . -name .\*.sw\? | xargs $(RM)

# Distributions

dist-win32:
	$(RM) -r $(DIST_DIR)
	mkdir -p $(DIST_DIR)
	cp -a include $(DIST_DIR)
	cp -a doc $(DIST_DIR)
	cp -a *.txt $(DIST_DIR)
	cp -a bin $(DIST_DIR)
	cp -a lib $(DIST_DIR)
	$(RM) -f $(DIST_DIR)/bin/*/*/*.pdb $(DIST_DIR)/bin/*/*/*.exp
	$(RM) -f $(DIST_DIR)/bin/*/*/glewinfo-*.exe $(DIST_DIR)/bin/*/*/visualinfo-*.exe 
	$(RM) -f $(DIST_DIR)/lib/*/*/*.pdb $(DIST_DIR)/lib/*/*/*.exp
	unix2dos $(DIST_DIR)/include/GL/*.h
	unix2dos $(DIST_DIR)/doc/*.txt
	unix2dos $(DIST_DIR)/doc/*.html
	unix2dos $(DIST_DIR)/*.txt
	rm -f $(DIST_WIN32)
	cd $(DIST_DIR)/.. && zip -rv9 $(DIST_WIN32) $(DIST_NAME)
	$(RM) -r $(DIST_DIR)

dist-src:
	$(RM) -r $(DIST_DIR)
	mkdir -p $(DIST_DIR)
	mkdir -p $(DIST_DIR)/bin
	mkdir -p $(DIST_DIR)/lib
	cp -a auto $(DIST_DIR)
	$(RM) -Rf $(DIST_DIR)/auto/registry
	cp -a build $(DIST_DIR)
	cp -a config $(DIST_DIR)
	cp -a src $(DIST_DIR)
	cp -a doc $(DIST_DIR)
	cp -a include $(DIST_DIR)
	cp -a *.txt $(DIST_DIR)
	cp -a Makefile $(DIST_DIR)
	cp -a glew.pc.in $(DIST_DIR)
	find $(DIST_DIR) -name '*.o' | xargs $(RM) -r
	find $(DIST_DIR) -name '*~' | xargs $(RM) -r
	find $(DIST_DIR) -name CVS -o -name .cvsignore | xargs $(RM) -r
	find $(DIST_DIR) -name .svn | xargs $(RM) -r
	find $(DIST_DIR) -name "*.patch" | xargs $(RM) -r
	dos2unix $(DIST_DIR)/Makefile
	dos2unix $(DIST_DIR)/auto/Makefile
	dos2unix $(DIST_DIR)/config/*
	unix2dos $(DIST_DIR)/auto/core/*
	unix2dos $(DIST_DIR)/auto/extensions/*
	find $(DIST_DIR) -name '*.h' | xargs unix2dos
	find $(DIST_DIR) -name '*.c' | xargs unix2dos
	find $(DIST_DIR) -name '*.txt' | xargs unix2dos
	find $(DIST_DIR) -name '*.html' | xargs unix2dos
	find $(DIST_DIR) -name '*.css' | xargs unix2dos
	find $(DIST_DIR) -name '*.sh' | xargs unix2dos
	find $(DIST_DIR) -name '*.pl' | xargs unix2dos
	find $(DIST_DIR) -name 'Makefile' | xargs unix2dos
	find $(DIST_DIR) -name '*.in' | xargs unix2dos
	find $(DIST_DIR) -name '*.pm' | xargs unix2dos
	find $(DIST_DIR) -name '*.rc' | xargs unix2dos
	rm -f $(DIST_SRC_ZIP)
	cd $(DIST_DIR)/.. && zip -rv9 $(DIST_SRC_ZIP) $(DIST_NAME)
	dos2unix $(DIST_DIR)/Makefile
	dos2unix $(DIST_DIR)/auto/Makefile

=== auto/Makefile ===
## Copyright (C) 2002-2008, Marcelo E. Magallon <mmagallo[]debian org>
## Copyright (C) 2002-2008, Milan Ikits <milan ikits[]ieee org>
##
## This program is distributed under the terms and conditions of the GNU
## General Public License Version 2 as published by the Free Software
## Foundation or, at your option, any later version.

include ../config/version

#GLEW_SPLIT_SOURCE = yes

SHELL = bash

### Use git repository for GL extension specifications

GIT_CLONE  ?= git clone --branch glew https://github.com/nigels-com/glfixes.git

###
### Conventional desktop OpenGL settings
###

REGISTRY     = registry/gl/specs
EXT          = extensions/gl
FILTER       = filter_gl_ext.sh
CORE         = core/gl
REGISTRY_URL = http://www.opengl.org/registry/

###
### Experimental OpenGL ES settings
###

# REGISTRY     = registry/gles
# EXT          = extensions/gles
# FILTER       = filter_gles_ext.sh
# CORE         = core/gles
# REGISTRY_URL = http://www.khronos.org/registry/gles/

BIN = bin
SRC = src
BLACKLIST = blacklist

GL_CORE_SPEC := $(CORE)/GL_VERSION*
GLX_CORE_SPEC := $(CORE)/GLX_VERSION*
ifeq (custom,$(MAKECMDGOALS))
#GL_CORE_SPEC  := $(shell grep GL_VERSION custom.txt    |                       perl -pi -e "s=^=$(CORE)/=g;")
GL_EXT_SPEC    := $(shell grep "^[ \t]*GL_" custom.txt  | grep -v GL_VERSION  | perl -pi -e "s=^=$(EXT)/=g;")
WGL_EXT_SPEC   := $(shell grep "^[ \t]*WGL_" custom.txt |                       perl -pi -e "s=^=$(EXT)/=g;")
#GLX_CORE_SPEC := $(shell grep GLX_VERSION custom.txt   |                       perl -pi -e "s=^=$(CORE)/=g;")
GLX_EXT_SPEC   := $(shell grep "^[ \t]*GLX_" custom.txt | grep -v GLX_VERSION | perl -pi -e "s=^=$(EXT)/=g;")
else
GL_EXT_SPEC := $(EXT)/GL_*
WGL_EXT_SPEC := $(EXT)/WGL_*
GLX_EXT_SPEC := $(EXT)/GLX_*
endif

PARSE_SPEC = parse_spec.pl
SYSTEM = $(strip $(shell uname -s))

TOP = ..
I.DEST = $(TOP)/include/GL
S.DEST = $(TOP)/src
D.DEST = $(TOP)/doc
B.DEST = $(TOP)/build

I.TARGETS = \
	$(I.DEST)/glew.h \
	$(I.DEST)/wglew.h \
	$(I.DEST)/glxew.h

ifeq (yes,$(GLEW_SPLIT_SOURCE))
S.TARGETS = \
	$(S.DEST)/glew_def.c \
	$(S.DEST)/glew_init.c \
	$(S.DEST)/glew_str.c \
	$(S.DEST)/glewinfo.c
else
S.TARGETS = \
	$(S.DEST)/glew.c \
	$(S.DEST)/glewinfo.c
endif

D.TARGETS = \
	$(D.DEST)/index.html \
	$(D.DEST)/install.html \
	$(D.DEST)/basic.html \
	$(D.DEST)/advanced.html \
	$(D.DEST)/build.html \
	$(D.DEST)/credits.html \
	$(D.DEST)/log.html \
	$(D.DEST)/glew.html \
	$(D.DEST)/wglew.html \
	$(D.DEST)/glxew.html

B.TARGETS = \
	$(B.DEST)/glew.rc \
	$(B.DEST)/glewinfo.rc \
	$(B.DEST)/visualinfo.rc

all custom: $(I.TARGETS) $(S.TARGETS) $(D.TARGETS) $(B.TARGETS)

registry: $(REGISTRY)/.dummy
ext: $(EXT)/.dummy

$(REGISTRY)/.dummy:
	@echo "--------------------------------------------------------------------"
	@echo "Downloading registry"
	@echo "--------------------------------------------------------------------"
	$(GIT_CLONE) registry
	touch $@

$(EXT)/.dummy: $(REGISTRY)/.dummy
	@echo "--------------------------------------------------------------------"
	@echo "Creating descriptors"
	@echo "--------------------------------------------------------------------"
	rm -rf $(EXT)
	$(BIN)/update_ext.sh $(EXT) $(REGISTRY) $(BLACKLIST)
	$(BIN)/$(FILTER)     $(EXT)
ifeq ($(patsubst Darwin%,Darwin,$(SYSTEM)), Darwin)
	find $(CORE) -maxdepth 1 -type f | grep -v VERSION | grep -v "~" | \
	xargs -J % cp % $(EXT)
else
	find $(CORE) -maxdepth 1 -type f | grep -v VERSION | grep -v "~" | \
	xargs cp --target-directory=$(EXT)
endif
	touch $@

$(I.DEST)/glew.h: $(EXT)/.dummy
	@echo "--------------------------------------------------------------------"
	@echo "Creating glew.h"
	@echo "--------------------------------------------------------------------"
	test -d $(I.DEST) || mkdir -p $(I.DEST)
	cp -f $(SRC)/glew_license.h $@
	cat $(SRC)/mesa_license.h >> $@
	cat $(SRC)/khronos_license.h >> $@
	cat $(SRC)/glew_head.h >> $@
	$(BIN)/make_header.pl GLAPIENTRY GL $(GL_CORE_SPEC) >> $@
	$(BIN)/make_header.pl GLAPIENTRY GL $(GL_EXT_SPEC) >> $@
	echo -e "/* ------------------------------------------------------------------------- */\n\n#if defined(GLEW_MX) && defined(_WIN32)\n#define GLEW_FUN_EXPORT\n#else\n#define GLEW_FUN_EXPORT GLEWAPI\n#endif /* GLEW_MX */\n" >> $@
	echo -e "#if defined(GLEW_MX)\n#define GLEW_VAR_EXPORT\n#else\n#define GLEW_VAR_EXPORT GLEWAPI\n#endif /* GLEW_MX */\n" >> $@
	echo -e "#if defined(GLEW_MX) && defined(_WIN32)\nstruct GLEWContextStruct\n{\n#endif /* GLEW_MX */" >> $@
	$(BIN)/make_struct_fun.pl GLEW_FUN_EXPORT $(GL_CORE_SPEC) $(GL_EXT_SPEC) >> $@
	echo -e "\n#if defined(GLEW_MX) && !defined(_WIN32)\nstruct GLEWContextStruct\n{\n#endif /* GLEW_MX */\n" >> $@
	$(BIN)/make_struct_var.pl GLEW_VAR_EXPORT $(GL_CORE_SPEC) $(GL_EXT_SPEC) >> $@
	echo -e "\n#ifdef GLEW_MX\n}; /* GLEWContextStruct */\n#endif /* GLEW_MX */\n" >> $@
	perl -e "s/GLEW_VAR_EXPORT GLboolean __GLEW_VERSION_1_2;/GLEW_VAR_EXPORT GLboolean __GLEW_VERSION_1_1;\nGLEW_VAR_EXPORT GLboolean __GLEW_VERSION_1_2;/" -pi $@
	rm -f $@.bak
	cat $(SRC)/glew_tail.h >> $@

$(I.DEST)/wglew.h: $(EXT)/.dummy
	@echo "--------------------------------------------------------------------"
	@echo "Creating wglew.h"
	@echo "--------------------------------------------------------------------"
	cp -f $(SRC)/glew_license.h $@
	cat $(SRC)/khronos_license.h >> $@
	cat $(SRC)/wglew_head.h >> $@
	$(BIN)/make_header.pl WINAPI WGL $(WGL_EXT_SPEC) >> $@
	cat $(SRC)/wglew_mid.h >> $@
	echo -e "\n#ifdef GLEW_MX\nstruct WGLEWContextStruct\n{\n#endif /* GLEW_MX */" >> $@
	$(BIN)/make_struct_fun.pl WGLEW_FUN_EXPORT $(WGL_EXT_SPEC) >> $@
	$(BIN)/make_struct_var.pl WGLEW_VAR_EXPORT $(WGL_EXT_SPEC) >> $@
	echo -e "\n#ifdef GLEW_MX\n}; /* WGLEWContextStruct */\n#endif /* GLEW_MX */\n" >> $@
	cat $(SRC)/wglew_tail.h >> $@

$(I.DEST)/glxew.h: $(EXT)/.dummy
	@echo "--------------------------------------------------------------------"
	@echo "Creating glxew.h"
	@echo "--------------------------------------------------------------------"
	cp -f $(SRC)/glew_license.h $@
	cat $(SRC)/mesa_license.h >> $@
	cat $(SRC)/khronos_license.h >> $@
	cat $(SRC)/glxew_head.h >> $@
	$(BIN)/make_header.pl "" GLX $(GLX_CORE_SPEC) >> $@
	$(BIN)/make_header.pl "" GLX $(GLX_EXT_SPEC) >> $@
	cat $(SRC)/glxew_mid.h >> $@
	$(BIN)/make_struct_fun.pl GLXEW_FUN_EXPORT $(GLX_CORE_SPEC) $(GLX_EXT_SPEC) >> $@
	echo -e "\n#if defined(GLEW_MX)\nstruct GLXEWContextStruct\n{\n#endif /* GLEW_MX */\n" >> $@
	$(BIN)/make_struct_var.pl GLXEW_VAR_EXPORT $(GLX_CORE_SPEC) $(GLX_EXT_SPEC) >> $@
	echo -e "\n#ifdef GLEW_MX\n}; /* GLXEWContextStruct */\n#endif /* GLEW_MX */\n" >> $@
	perl -e "s/GLXEW_VAR_EXPORT GLboolean __GLXEW_VERSION_1_2;/GLXEW_VAR_EXPORT GLboolean __GLXEW_VERSION_1_0;\nGLXEW_VAR_EXPORT GLboolean __GLXEW_VERSION_1_1;\nGLXEW_VAR_EXPORT GLboolean __GLXEW_VERSION_1_2;/" -pi $@
	cat $(SRC)/glxew_tail.h >> $@

$(S.DEST)/glew.c: $(EXT)/.dummy
	@echo "--------------------------------------------------------------------"
	@echo "Creating glew.c"
	@echo "--------------------------------------------------------------------"
	cp -f $(SRC)/glew_license.h $@
	cat $(SRC)/glew_head.c >> $@
	echo -e "\n#if !defined(_WIN32) || !defined(GLEW_MX)" >> $@
	$(BIN)/make_def_fun.pl GL $(GL_CORE_SPEC) >> $@
	$(BIN)/make_def_fun.pl GL $(GL_EXT_SPEC) >> $@
	echo -e "\n#endif /* !WIN32 || !GLEW_MX */" >> $@
	echo -e "\n#if !defined(GLEW_MX)" >> $@;
	echo -e "\nGLboolean __GLEW_VERSION_1_1 = GL_FALSE;" >> $@
	$(BIN)/make_def_var.pl GL $(GL_CORE_SPEC) >> $@
	$(BIN)/make_def_var.pl GL $(GL_EXT_SPEC) >> $@
	echo -e "\n#endif /* !GLEW_MX */\n" >> $@;
	$(BIN)/make_init.pl GL $(GL_CORE_SPEC) >> $@
	$(BIN)/make_init.pl GL $(GL_EXT_SPEC) >> $@
	cat $(SRC)/glew_init_gl.c >> $@
	$(BIN)/make_list.pl $(GL_CORE_SPEC) | grep -v '\"GL_VERSION' >> $@
	$(BIN)/make_list.pl $(GL_EXT_SPEC) >> $@
	echo -e "\n  return GLEW_OK;\n}\n" >> $@
	echo -e "\n#if defined(_WIN32)" >> $@
	echo -e "\n#if !defined(GLEW_MX)" >> $@
	$(BIN)/make_def_fun.pl WGL $(WGL_EXT_SPEC) >> $@
	$(BIN)/make_def_var.pl WGL $(WGL_EXT_SPEC) >> $@
	echo -e "\n#endif /* !GLEW_MX */\n" >> $@;
	$(BIN)/make_init.pl WGL $(WGL_EXT_SPEC) >> $@
	cat $(SRC)/glew_init_wgl.c >> $@
	$(BIN)/make_list.pl $(WGL_EXT_SPEC) >> $@
	echo -e "\n  return GLEW_OK;\n}" >> $@;
	echo -e "\n#elif !defined(__ANDROID__) && !defined(__native_client__) && (!defined(__APPLE__) || defined(GLEW_APPLE_GLX))" >> $@
	$(BIN)/make_def_fun.pl GLX $(GLX_CORE_SPEC) >> $@
	$(BIN)/make_def_fun.pl GLX $(GLX_EXT_SPEC) >> $@
	echo -e "\n#if !defined(GLEW_MX)" >> $@;
	echo -e "\nGLboolean __GLXEW_VERSION_1_0 = GL_FALSE;" >> $@
	echo -e "GLboolean __GLXEW_VERSION_1_1 = GL_FALSE;" >> $@
	$(BIN)/make_def_var.pl GLX $(GLX_CORE_SPEC) >> $@
	$(BIN)/make_def_var.pl GLX $(GLX_EXT_SPEC) >> $@
	echo -e "\n#endif /* !GLEW_MX */\n" >> $@;
	$(BIN)/make_init.pl GLX $(GLX_CORE_SPEC) >> $@
	$(BIN)/make_init.pl GLX $(GLX_EXT_SPEC) >> $@
	cat $(SRC)/glew_init_glx.c >> $@
	$(BIN)/make_list.pl $(CORE)/GLX_VERSION_1_3 | grep -v '\"GLX_VERSION' >> $@
	$(BIN)/make_list.pl $(GLX_EXT_SPEC) >> $@
	echo -e "\n  return GLEW_OK;\n}" >> $@
	echo -e "\n#endif /* !defined(__ANDROID__) && !defined(__native_client__) && (!defined(__APPLE__) || defined(GLEW_APPLE_GLX)) */\n" >> $@;
	cat $(SRC)/glew_init_tail.c >> $@
	cat $(SRC)/glew_str_head.c >> $@
	$(BIN)/make_str.pl $(GL_CORE_SPEC) $(GL_EXT_SPEC) >> $@
	cat $(SRC)/glew_str_wgl.c >> $@
	$(BIN)/make_str.pl $(WGL_EXT_SPEC) >> $@
	cat $(SRC)/glew_str_glx.c >> $@
	$(BIN)/make_str.pl $(GLX_CORE_SPEC) $(GLX_EXT_SPEC) >> $@
	cat $(SRC)/glew_str_tail.c >> $@
	perl -e "s/GLEW_VERSION_STRING/$(GLEW_VERSION)/g" -pi $@
	perl -e "s/GLEW_VERSION_MAJOR_STRING/$(GLEW_MAJOR)/g" -pi $@
	perl -e "s/GLEW_VERSION_MINOR_STRING/$(GLEW_MINOR)/g" -pi $@
	perl -e "s/GLEW_VERSION_MICRO_STRING/$(GLEW_MICRO)/g" -pi $@
	perl -e "s/GLEW_ARB_vertex_shader = !_glewInit_GL_ARB_vertex_shader\(GLEW_CONTEXT_ARG_VAR_INIT\);/{ GLEW_ARB_vertex_shader = !_glewInit_GL_ARB_vertex_shader(GLEW_CONTEXT_ARG_VAR_INIT); _glewInit_GL_ARB_vertex_program(GLEW_CONTEXT_ARG_VAR_INIT); }/g" -pi $@
	perl -e "s/\(\(glColorSubTable = /((glBlendEquation = (PFNGLBLENDEQUATIONPROC)glewGetProcAddress((const GLubyte*)\"glBlendEquation\")) == NULL) || r;\n  r = ((glColorSubTable = /g" -pi $@
	rm -f $@.bak

$(S.DEST)/glew_def.c: $(EXT)/.dummy
	cp -f $(SRC)/glew_license.h $@
	echo -e "#include \"glew_utils.h\"\n\n#if !defined(_WIN32) || !defined(GLEW_MX)" >> $@
	$(BIN)/make_def_fun.pl GL $(GL_CORE_SPEC) >> $@
	$(BIN)/make_def_fun.pl GL $(GL_EXT_SPEC) >> $@
	echo -e "\n#endif /* !WIN32 || !GLEW_MX */" >> $@
	echo -e "\n#if !defined(GLEW_MX)\n\nGLboolean __GLEW_VERSION_1_1 = GL_FALSE;" >> $@
	$(BIN)/make_def_var.pl GL $(GL_CORE_SPEC) >> $@
	$(BIN)/make_def_var.pl GL $(GL_EXT_SPEC) >> $@
	echo -e "\n#if defined(_WIN32)" >> $@
	$(BIN)/make_def_fun.pl WGL $(WGL_EXT_SPEC) >> $@
	$(BIN)/make_def_var.pl WGL $(WGL_EXT_SPEC) >> $@
	echo -e "\n#endif /* _WIN32 */" >> $@
	echo -e "\n#endif /* !GLEW_MX */" >> $@;
	echo -e "\n#if !defined(_WIN32) && !defined(__ANDROID__) && !defined(__native_client__) && (!defined(__APPLE__) || defined(GLEW_APPLE_GLX))" >> $@
	$(BIN)/make_def_fun.pl GLX $(GLX_CORE_SPEC) >> $@
	$(BIN)/make_def_fun.pl GLX $(GLX_EXT_SPEC) >> $@
	echo -e "\n#if !defined(GLEW_MX)" >> $@;
	echo -e "\nGLboolean __GLXEW_VERSION_1_0 = GL_FALSE;" >> $@
	echo -e "GLboolean __GLXEW_VERSION_1_1 = GL_FALSE;" >> $@
	$(BIN)/make_def_var.pl GLX $(GLX_CORE_SPEC) >> $@
	$(BIN)/make_def_var.pl GLX $(GLX_EXT_SPEC) >> $@
	echo -e "\n#endif /* !GLEW_MX */" >> $@;
	echo -e "\n#endif /* !defined(_WIN32) && !defined(__ANDROID__) && !defined(__native_client__) && (!defined(__APPLE__) || defined(GLEW_APPLE_GLX)) */" >> $@;
	rm -f $@.bak

$(S.DEST)/glew_init.c: $(EXT)/.dummy
	cp -f $(SRC)/glew_license.h $@
	echo -e "#include \"glew_utils.h\"\n" >> $@
	$(BIN)/make_init.pl GL $(GL_CORE_SPEC) >> $@
	$(BIN)/make_init.pl GL $(GL_EXT_SPEC) >> $@
	cat $(SRC)/glew_init_gl.c >> $@
	$(BIN)/make_list.pl $(GL_CORE_SPEC) | grep -v '\"GL_VERSION' >> $@

=== build/vc6/Makefile ===
MSDEV := msdev
RM := rm -rf

default:
	$(MSDEV) glew.dsw /make \
	"glew_static - Win32 Release" \
	"glew_shared - Win32 Release" \
	"glewinfo - Win32 Release" \
	"visualinfo - Win32 Release" /build

mx:
	$(MSDEV) glew.dsw /make \
	"glew_static - Win32 Release MX" \
	"glew_shared - Win32 Release MX" \
	"glewinfo - Win32 Release MX" \
	"visualinfo - Win32 Release MX" /build

debug:
	$(MSDEV) glew.dsw /make \
	"glew_static - Win32 Debug" \
	"glew_shared - Win32 Debug" \
	"glewinfo - Win32 Debug" \
	"visualinfo - Win32 Debug" /build


clean:
	$(MSDEV) glew.dsw /make all /clean
	$(RM) static shared *.plg *.ncb *.opt

=== debian/changelog ===
glew (1.10.0-3) unstable; urgency=low

  * debian/shlibs.local: 1.9 => 1.10 version bump
  * debian/patches/: patchset updated
    - 0001-Touch_glewmx.pc.in_file.patch dropped (useless)
    - 0002-Fix_FTBFS_on_kFreeBSD.patch renamed to #0001
    - 0003-Config_files_update.patch renamed to #0002
    - 0003-Drop_PHONY_on_pc_files.patch added (Closes: #729634)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 19 Nov 2013 08:52:52 +0100

glew (1.10.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #713984)
  * debian/: use of autotools to update config files dropped
    - debian/control: autotools-dev b-dep dropped
    - debian/rules: dh_autotools_dev calls removed
    - #0003-Config_files_update.patch added
    Thanks to Matthias Klose for the hint. (Closes: #727276)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 11 Nov 2013 10:04:59 +0100

glew (1.10.0-1) experimental; urgency=low

  * New upstream release
    - debian/patches/: patchset updated
      - 0001-Touch_glewmx.pc.in_file.patch refreshed
      - 0002-Fix_FTBFS_on_kFreeBSD.patch updated
    - debian/: massive modification due to SONAME bump 1.9 => 1.10
      - control: package renaming
      - rules: dh-strip's parameters updated
      - libglew1.9.install => libglew1.10.install
      - libglewmx1.9.install => libglewmx1.10.install
      - libglew1.9.symbols => libglew1.10.symbols + version bump
      - libglewmx1.9.symbols => libglewmx1.10.symbols + version bump
  * debian/control: S-V bump 3.9.3 => 3.9.4 (no changes needed)
  * debian/control: Vcs-Git field updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 07 Oct 2013 11:55:13 +0200

=== debian/control ===
Source: glew
Priority: optional
Section: libs
Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
Uploaders: Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: binutils (>> 2.18),
               debhelper (>= 9),
               docbook-to-man,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libx11-dev,
               libxi-dev,
               libxmu-dev
Standards-Version: 3.9.4
Homepage: http://glew.sourceforge.net
Vcs-Git: git://anonscm.debian.org/collab-maint/glew.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/glew.git

Package: glew-utils
Section: utils
Architecture: any
Replaces: libglew1.6 (<< 1.7)
Depends: libglew1.10 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OpenGL Extension Wrangler - utilities
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the utilities which can be used to query the
 supported OpenGL extensions.

Package: libglew-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgl1-mesa-dev | libgl-dev,
         libglew1.10 (= ${binary:Version}),
         libglu1-mesa-dev | libglu-dev,
         ${misc:Depends}
Conflicts:
 libglew1.6-dev
Provides:
 libglew1.5-dev,
 libglew1.6-dev
Description: OpenGL Extension Wrangler - development environment
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initialization of OpenGL extensions in a portable and simple
 way. Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension. Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry (http://www.opengl.org/registry).
 .
 This package contains the development documentation as well as the
 required header files.

Package: libglew1.10
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libglew1
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: glew-utils
Description: OpenGL Extension Wrangler - runtime environment
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the runtime support files.

Package: libglewmx1.10
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libglew1
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: OpenGL Extension Wrangler (Multiple Rendering Contexts)
 For more information about GLEW please refer to the description of the
 libglewmx-dev package.
 .
 This package contains the runtime support files, built with GLEW_MX option,
 adding support for thread-safe usage of multiple rendering contexts.

Package: libglewmx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Conflicts:
 libglewmx1.6-dev
Provides:
 libglewmx1.5-dev,
 libglewmx1.6-dev
Depends: libglew-dev,
         libglewmx1.10 (= ${binary:Version}),
         ${misc:Depends}
Description: OpenGL Extension Wrangler MX - development environment
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initialization of OpenGL extensions in a portable and simple
 way. Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension. Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry (http://www.opengl.org/registry).
 .
 This package contains the development libraries compiled with GLEW_MX.

Package: libglew-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libglew1.10 (= ${binary:Version}),
         ${misc:Depends}
Description: OpenGL Extension Wrangler (debugging symbols)
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initialization of OpenGL extensions in a portable and simple
 way. Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension. Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry (http://www.opengl.org/registry).
 .
 This package contains the debugging symbols for libglew1.10.

Package: libglewmx-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libglewmx1.10 (= ${binary:Version}),
         ${misc:Depends}
Description: OpenGL Extension Wrangler MX (debugging symbols)
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initialization of OpenGL extensions in a portable and simple
 way. Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension. Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry (http://www.opengl.org/registry).
 .
 This package contains the debugging symbols for libglewmx1.10.

=== debian/rules ===
#!/usr/bin/make -f
# (C) 2003 Marcelo E. Magalln <mmagallo@debian.org>
# (C) 2006-2011 Joost Yervante Damad <andete@debian.org>
# (C) 2012 Matteo F. Vescovi <mfv.debian@gmail.com>

export DH_VERBOSE
# export DH_NO_ACT
# export DH_OPTIONS

CFLAGS = -Wall -g

srcversion := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build:

install: build-stamp
build-stamp: configure-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) GL_LDFLAGS=-lGL GLU_LDFLAGS=-lGLU GLUT_LDFLAGS=-lglut LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
	touch build-stamp
	dh_installdirs
	$(MAKE) install.all GLEW_DEST=$(CURDIR)/debian/tmp/usr LIBDIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-stampmx configure-stamp
	$(MAKE) distclean
	dh_clean

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

build-arch: build
build-indep: build

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_link
	dh_strip -plibglew1.10 --dbg-package=libglew-dbg
	dh_strip -plibglewmx1.10 --dbg-package=libglewmx-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps # -ldebian/tmp/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

debian/%.1: debian/%.sgml
	docbook-to-man $< > $@

.PHONY: build clean binary-indep binary-arch binary install debian-manpages

## glew 1.13.0

=== debian/changelog ===
glew (1.13.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 10 Nov 2015 08:32:06 +0100

glew (1.13.0-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/watch: search regex updated

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/: SONAME bump 1.12 => 1.13
    - debian/*.symbols: symbol files updated

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 20 Oct 2015 14:50:51 +0200

glew (1.12.0-2) experimental; urgency=medium

  * debian/control: obsolete Conflicts entries dropped
  * debian/gbp.conf: [git-dch] => [dch]

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 May 2015 16:13:00 +0200

glew (1.12.0-1) experimental; urgency=medium

  * New upstream release
    - debian/: massive modification due to SONAME bump 1.11 => 1.12
    - debian/patches/: patchset refreshed against v1.12.0
      - 0001-Fix_FTBFS_on_kFreeBSD.patch refreshed
      - 0002-Config_files_update.patch dropped
      - #0003 refreshed and renamed to #0002
    - debian/copyright: update due to lintian warnings
    - debian/*.symbols: massive update due to SONAME bump
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
  * debian/control: Maintainer e-mail address updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 04 Feb 2015 09:12:55 +0100

glew (1.11.0-2) experimental; urgency=medium

  * Fix FTBFS on kFreeBSD

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Tue, 26 Aug 2014 09:48:31 +0200

glew (1.11.0-1) experimental; urgency=medium

  * New upstream release
    - debian/: massive modification due to SONAME bump 1.10 => 1.11
    - debian/patches/: patchset refreshed against v1.11.0
      - 0001-Fix_FTBFS_on_kFreeBSD.patch updated
      - 0003-Drop_PHONY_on_pc_files.patch updated
  * debian/control: Maintainer e-mail address updated
  * debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)
  * debian/control: "Multi-Arch: Same" set for -dbg packages
  * debian/control: Fabrizio Regalli removed from Uploaders
  * debian/watch: search regex updated

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 21 Aug 2014 12:20:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glew
 Priority: optional
 Section: libs
-Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
-Uploaders: Fabrizio Regalli <fabreg@fabreg.it>
+Maintainer: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: binutils (>> 2.18),
                debhelper (>= 9),
                docbook-to-man,
@@ -11,7 +10,7 @@
                libx11-dev,
                libxi-dev,
                libxmu-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://glew.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/glew.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/glew.git
@@ -20,7 +19,7 @@
 Section: utils
 Architecture: any
 Replaces: libglew1.6 (<< 1.7)
-Depends: libglew1.10 (= ${binary:Version}),
+Depends: libglew1.13 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenGL Extension Wrangler - utilities
@@ -35,7 +34,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgl1-mesa-dev | libgl-dev,
-         libglew1.10 (= ${binary:Version}),
+         libglew1.13 (= ${binary:Version}),
          libglu1-mesa-dev | libglu-dev,
          ${misc:Depends}
 Conflicts:
@@ -54,11 +53,10 @@
  This package contains the development documentation as well as the
  required header files.
 
-Package: libglew1.10
+Package: libglew1.13
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libglew1
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: glew-utils
@@ -68,11 +66,10 @@
  .
  This package contains the runtime support files.
 
-Package: libglewmx1.10
+Package: libglewmx1.13
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libglew1
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenGL Extension Wrangler (Multiple Rendering Contexts)
@@ -92,7 +89,7 @@
  libglewmx1.5-dev,
  libglewmx1.6-dev
 Depends: libglew-dev,
-         libglewmx1.10 (= ${binary:Version}),
+         libglewmx1.13 (= ${binary:Version}),
          ${misc:Depends}
 Description: OpenGL Extension Wrangler MX - development environment
  The OpenGL Extension Wrangler, GLEW for short, is a library that
@@ -108,7 +105,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libglew1.10 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libglew1.13 (= ${binary:Version}),
          ${misc:Depends}
 Description: OpenGL Extension Wrangler (debugging symbols)
  The OpenGL Extension Wrangler, GLEW for short, is a library that
@@ -118,13 +116,14 @@
  by the extension. Currently GLEW supports almost all the extensions
  found in the OpenGL extension registry (http://www.opengl.org/registry).
  .
- This package contains the debugging symbols for libglew1.10.
+ This package contains the debugging symbols for libglew.
 
 Package: libglewmx-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libglewmx1.10 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libglewmx1.13 (= ${binary:Version}),
          ${misc:Depends}
 Description: OpenGL Extension Wrangler MX (debugging symbols)
  The OpenGL Extension Wrangler, GLEW for short, is a library that
@@ -134,4 +133,4 @@
  by the extension. Currently GLEW supports almost all the extensions
  found in the OpenGL extension registry (http://www.opengl.org/registry).
  .
- This package contains the debugging symbols for libglewmx1.10.
+ This package contains the debugging symbols for libglewmx.

=== debian/rules ===
--- 
+++ 
@@ -62,8 +62,8 @@
 	dh_install --sourcedir=debian/tmp
 	dh_installman
 	dh_link
-	dh_strip -plibglew1.10 --dbg-package=libglew-dbg
-	dh_strip -plibglewmx1.10 --dbg-package=libglewmx-dbg
+	dh_strip -plibglew1.13 --dbg-package=libglew-dbg
+	dh_strip -plibglewmx1.13 --dbg-package=libglewmx-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -V

## glew 2.0.0

=== debian/changelog ===
glew (2.0.0-5) unstable; urgency=medium

  * QA upload.
  * Drop ancient Build-Depends: binutils, satisfied in wheezy.
  * Migrate libglew-dbg to -dbgsym.
  * Make -dbgsym package useful:
    + Discard nostrip handling: handled by dh_strip.
    + Defer all stripping to dh_strip.
    + Pass CFLAGS via OPT makefile variable.
  * Let dh_auto_build pass cross compilers to $(MAKE).
  * Pass suitable LD= and SYSTEM= to dh_auto_build for cross compilation.
  * Drop unused srcversion variable lintian complains about.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 24 Aug 2017 21:30:01 +0200

glew (2.0.0-4) unstable; urgency=medium

  * debian/control: orphaning the package
  * debian/control: S-V bump 3.9.8 -> 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 01 Jul 2017 13:37:58 +0200

glew (2.0.0-3) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #837872)
    - 0002-Fix_pkgconfig_path.patch updated

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 18 Sep 2016 19:11:02 +0200

glew (2.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 08 Sep 2016 14:04:32 +0200

glew (2.0.0-1) experimental; urgency=medium

  * New upstream release (Closes: #835541)
    - MX support discontinued by upstream
    - EGL and OSMesa support added
    * debian/: libglewmx* files dropped
  * debian/control:
    - S-V bump 3.9.6 -> 3.9.8 (no changes needed)
    - Vcs-* fields updated for https:// usage
    - MX support dropped
    - SONAME bump 1.13 => 2.0
  * debian/glew-utils: file updated
    - README.txt dropped (upstream)
    - TODO.txt dropped (upstream)
    - README.md added
  * debian/:
    - SONAME bump 1.13 -> 2.0 for libglew's install file
    - SONAME bump 1.13 -> 2.0 and update for libglew's symbols
  * debian/rules: SONAME bump 1.13 -> 2.0
  * debian/shlibs.local: SONAME bump 1.13 -> 2.0
  * debian/libglew2.0.symbols: file updated
  * debian/patches/: patchset updated
    - 0001-Fix_FTBFS_on_kFreeBSD.patch refreshed
    - 0002-Drop_PHONY_on_pc_files.patch dropped
    - 0002-Fix_pkgconfig_path.patch added
  * debian/libglew-dev.install: paths simplified

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 05 Sep 2016 09:28:22 +0200

=== debian/control ===
Source: glew
Priority: optional
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9.20160114),
               docbook-to-man,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libx11-dev,
               libxi-dev,
               libxmu-dev
Standards-Version: 4.0.0
Homepage: http://glew.sourceforge.net
Vcs-Git: https://anonscm.debian.org/git/collab-maint/glew.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/glew.git

Package: glew-utils
Section: utils
Architecture: any
Replaces: libglew1.6 (<< 1.7)
Depends: libglew2.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OpenGL Extension Wrangler - utilities
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the utilities which can be used to query the
 supported OpenGL extensions.

Package: libglew-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgl1-mesa-dev | libgl-dev,
         libglew2.0 (= ${binary:Version}),
         libglu1-mesa-dev | libglu-dev,
         ${misc:Depends}
Conflicts:
 libglew1.6-dev
Provides:
 libglew1.5-dev,
 libglew1.6-dev
Description: OpenGL Extension Wrangler - development environment
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initialization of OpenGL extensions in a portable and simple
 way. Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension. Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry (http://www.opengl.org/registry).
 .
 This package contains the development documentation as well as the
 required header files.

Package: libglew2.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: glew-utils
Description: OpenGL Extension Wrangler - runtime environment
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the runtime support files.

=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,19 @@
 # export DH_NO_ACT
 # export DH_OPTIONS
 
+include /usr/share/dpkg/architecture.mk
+
 CFLAGS = -Wall -g
-
-srcversion := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
 endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# let dh_strip strip
+export STRIP=true
+export INSTALL=install --strip-program=true
 
 configure: configure-stamp
 configure-stamp:
@@ -34,7 +33,14 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-	$(MAKE) GL_LDFLAGS=-lGL GLU_LDFLAGS=-lGLU GLUT_LDFLAGS=-lglut LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_build -- \
+		GL_LDFLAGS=-lGL \
+		GLU_LDFLAGS=-lGLU \
+		GLUT_LDFLAGS=-lglut \
+		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		'LD=$$(CC)' \
+		SYSTEM=$(firstword $(subst -, ,$(DEB_HOST_GNU_SYSTEM))) \
+		'OPT=$(CFLAGS)'
 	touch build-stamp
 	dh_installdirs
 	$(MAKE) install.all GLEW_DEST=$(CURDIR)/debian/tmp/usr LIBDIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -62,8 +68,7 @@
 	dh_install --sourcedir=debian/tmp
 	dh_installman
 	dh_link
-	dh_strip -plibglew1.13 --dbg-package=libglew-dbg
-	dh_strip -plibglewmx1.13 --dbg-package=libglewmx-dbg
+	dh_strip --dbgsym-migration="libglew-dbg (<< 2.0.0-5)"
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -V

=== debian/watch ===
version=3
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/glew/glew \
.*=glew-(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
